Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Sep 2020 17:52:03 +0200

Lennart Borgman <[email-masked]> writes:

> Line numbers should work even in multi major mode buffers. Please add
> the following lines to linum.el:
>
> (put 'linum-overlays  'permanent-local t)
> (put 'linum-available 'permanent-local t)
> (put 'linum-mode      'permanent-local t)

This was ten years ago.  These days, `display-line-numbers-mode' does
pretty much everything linum-mode does, but better, so I think there's
probably no reason to implement this feature request, and I'm closing
this bug report.  (I've just skimmed the thread, though, so if there is
something here that should definitely be fixed, please respond to the
debbugs address and we'll reopen.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no